<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
$_SESSION['cuPages']='blank_page.php';   
$cuPage='blank_page.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];     
}else{
header('Location:../index.php');
exit;    
}
$mhead='loanins';
$menuh='Installment &amp; Loan';
$phead='loaninv';
$page='Loan Invoice';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['delcus'])){
$id=$_POST['delcus'];
$name=get_fild_data('tbl_loaninvoice',$id,'invno');   
$sql="DELETE FROM tbl_loaninvoice WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){    
$act =remove_junk(escape('Loan Invoice name: '.$name));    
write_activity($aid,'LIN','Loan Invoice has been deleted',$act);       
save_msg('s','Loan Invoice Successfully Deleted!!!');
}else{
save_msg('w','Loan Invoice Fail to Delete!!!');   
}
echo "<script>window.location='lon_loaninvoice.php'</script>";     
}
?>

<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    <div class="row">
       <div class="col-md-8">
          <div class="box box-solid">
             <div class="box-header with-border">
                <h3 class="box-title">Loan Invoice List</h3>
             </div>
             <div class="box-body">
               <?php echo display_msg();?>   
                <div class="col-md-12 table-responsive">
                   <table class="table table-bordered table-striped" >
                      <thead class="text-uppercase">
                         <tr>
                            <th style="width:40px;">SN</th>
                            <th>Invoice No</th>
                            <th>Loan ID</th>
                            <th>Amount</th>
                            <th>Profit Amount</th>
                            <th>Installment</th>
                            <th>Total</th>
                            <th style="width:40px; text-align:center;">Action</th>
                         </tr>
                      </thead>
                      <tbody>
                      <?php
                        $sql="SELECT * FROM tbl_loaninvoice";    
                        $query=mysqli_query($con,$sql)or die(mysqli_error($con));
                        while ($row=mysqli_fetch_array($query)){
                        $id=$row['id'];
                        ?>
                        <tr>
                        <td class="center"><?php echo count_id();?></td>
                        <td ><?php echo $row['invno'];?></td>
                        <td ><?php echo get_fild_data('tbl_loanid',$row['loan_id'],'code');?></td>
                        <td ><?php echo $row['amount'];?></td>
                        <td ><?php echo $row['profit_amount'];?></td>
                        <td ><?php echo $row['installment'];?></td>
                        <td ><?php echo $row['total'];?></td>
                        <td nowrap="">  
                        <a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
                        <form action="lon_loaninvoice.php" id="DL_<?php echo $row['id'];?>" method="post" >
                        <input type="hidden" name="delcus" value="<?php echo $row['id']; ?>" />
                        </form>
                         
                        </td>    
                        </tr>    
                        <?php } ?>
                             
                         
                      </tbody>
                   </table>
                </div>
                <div class="clearfix" ></div>
                <div class="row"style="margin-top: 15px" >
                   <div class="col-md-12 table-responsive">
                      <div class="col-md-8"></div>
                      <div class="col-md-4 text-right" >
                         <a href="lon_loaninvoicecreate.php" class="btn btn-flat bg-purple">Add Loan</a>
                      </div>
                   </div>
                </div>
             </div>
          </div>
       </div>
       <div class="col-md-4">
          <div class="row">
             <div class="col-md-12">
                <div class="box box-solid">
                   <div class="box-header">
                      <h3 class="box-title">History </h3>
                   </div>
                   <!-- /.box-header -->
                   <div class="box-body" >
                    <?php if($_SESSION['utype']=='1'){echo read_activity($aid,'LIN','A');}else{echo read_activity($aid,'LIN','U');}?>
                    </div>
                </div>
             </div>
          </div>
       </div>
    </div>
    
<?php include('../layout/quick.php');?>   
 </section>
 <!-- /.main content -->  
</div>
<?php
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
});
function edit_item(id) {
document.getElementById(id).submit(); 
}
function remove_item(id) {
bootbox.confirm({
title: "Confirm",
message: "Are you sure to delete ?",
buttons: {
confirm: {
label: 'Yes',
className: 'btn-flat bg-purple'
},
cancel: {
label: 'Cancel',
className: 'btn-flat bg-gray'
}
},
callback: function (result) {
if (result == true) {
document.getElementById(id).submit();
}
}
});
}

$(document).on('click', '.detailsrec', function(e) {    
id_arr = $(this).attr('id');
id = id_arr.split("_");
if(id[1]==0)return;

$.ajax({
url: 'axe_details.php',
method: "POST",
data:{ 
cusdet: 1,cusid: id[1],type:id[0]
},
success: function(data){
$('#profile').html(data);    
}
});    
    
$.ajax({
url: 'axe_details.php',
method: "POST",
data:{ 
tradet: 1,cusid: id[1],type:id[0]
},
success: function(data){
$('#details').html(data);   
}
});    
    
$('.right-side-details').toggle('slide', { direction: 'right' }, 300);    
e.preventDefault();    
});
    
$(document).on('click', '#closedet', function() {
$('#profile').html('');
$('#details').html('');    
if($('.right-side-details').is(':visible')) {
$('.right-side-details').toggle('slide', { direction: 'right' }, 300);
}    
});    
</script>   
<!-- /page script -->
</html>    